Visit Main Site
Join Partner Program
Login
     
Introduction
Authentication
Documentation
Account
GET
POST
PUT
PATCH
DELETE
Item
GET
POST
DELETE
PATCH
Item Fulfillment
GET
POST
PATCH
Item Receipts
GET
POST
PATCH
DELETE
Order
GET
POST
PATCH
PUT
DELETE
Subscription
Usage
GET
POST
PATCH
PUT
DELETE
Express
POST
Invoice
GET
POST
PATCH
DELETE
Payment
GET
POST
PATCH
DELETE
Credit Note
GET
PATCH
Refund
GET
POST
PATCH
DELETE
Purchase Order
GET
POST
DELETE
PATCH
Purchase Invoice
GET
POST
PATCH
DELETE
Purchase Payment
GET
POST
DELETE
PATCH
Purchase Credit Note Applications
GET
PATCH
Purchase Refund
GET
POST
DELETE
Gift Certificate
GET
POST
PATCH
DELETE
Return Merchandise Authorizations
GET
POST
RVA
GET
POST
Settings
GET
POST
PATCH
Integration
GET
POST
PATCH
DELETE
Portal
POST
Communications
GET
POST
Reports
GET
Proforma
GET
POST
Labour
GET
POST
PATCH
DELETE
Workflow
GET
POST
PATCH
Labour Profiles
GET
POST
PATCH
DELETE
Custom Development
Custom Component
GET
POST
PATCH
DELETE
Custom Attribute
GET
PATCH
Custom Object
GET
POST
PATCH
Custom Database
GET
POST
Custom Component Notes
GET
POST
» Custom Object in Custom Component PATCH API Documentation

Update a Custom Object Instance: /component/{component_uuid}/{component_record_id}/custom_objects_instances/{instance_uuid}

PATCH
https://dev-api.exsited.com/api/v3/component/{component_uuid}/{component_record_id}/custom_objects_instances/{instance_uuid}
Try It Out
Purpose

This API updates the attributes of an existing custom object instance that belongs to a specific custom component record. It allows you to modify stored data.

Use Case

Useful for field inspections, hazard assessments or any workflow where existing recorded data must be corrected, refined or updated. For example, changing a hazard description after re-evaluation or updating a risk score following further analysis.

Path Parameters
Parameter Type Description
component_uuid UUID Unique identifier of the custom component.
component_record_id String Unique record ID of the specific custom component instance.
instance_uuid UUID Unique identifier of the custom object instance to be updated.
Query Parameters

This endpoint does not have any query parameters.

Request Body
JSON
{
    "custom_object_instances": {
        "attributes": [
            {
                "name": "{{attribute_name_1}}",
                "value": "{{attribute_value_1}}"
            },
            {
                "name": "{{attribute_name_2}}",
                "value": "{{attribute_value_2}}"
            },
            {
                "name": "{{attribute_name_3}}",
                "value": "{{attribute_value_3}}"
            }
        ]
    }
}
Attribute Type Description
custom_object_instances Object Root object that holds data for the custom object instance.
attributes Array List of attributes associated with the custom object instance. Each attribute includes a name-value pair.
attributes.name String Name of the attribute field.
attributes.value String Value assigned to the attribute.
Response

When successful, the API returns the updated custom object instance with its metadata and new attribute values.

Response Body
JSON
{
    "custom_object_instances": {
        "uuid": "{{custom_object_instance_uuid}}",
        "id": "{{custom_object_instance_id}}",
        "name": "{{custom_object_name}}",
        "entity": "{{entity_type}}",
        "entity_id": "{{entity_identifier}}",
        "created_by": "{{created_by_user}}",
        "created_on": "{{created_timestamp}}",
        "last_updated_by": "{{last_updated_by_user}}",
        "last_updated_on": "{{last_updated_timestamp}}",
        "link": "{{custom_object_instance_link}}",
        "version": "{{version_number}}",
        "attributes": [
            {
                "name": "{{attribute_name_1}}",
                "value": "{{attribute_value_1}}"
            },
            {
                "name": "{{attribute_name_2}}",
                "value": "{{attribute_value_2}}"
            },
            {
                "name": "{{attribute_name_3}}",
                "value": "{{attribute_value_3}}"
            }
        ]
    }
}
Attribute Type Description
uuid UUID Unique identifier for the custom object instance.
id String Readable ID of the custom object instance.
name String Display name of the custom object instance.
entity String The entity type (example: customComponent).
entity_id String Combined ID of the related custom component and record.
created_by String User who originally created the object instance.
created_on DateTime ISO 8601 timestamp of creation.
last_updated_by String User who last updated the instance.
last_updated_on DateTime ISO 8601 timestamp of the last update.
link URL API link to retrieve this specific object instance.
version String Version number (if versioning is enabled).
attributes Array List of key-value pairs representing stored data fields.

Looking to build next big project?

With our robust set of tools and resources, you can create custom solutions that integrate seamlessly with our system and take your business to the next level.

Join Our Partner Program
APIs
SDK
Help Center
Community
Contact Us

©2026 Exsited. All rights reserved.

Terms and Conditions | Privacy Policy

Follow Us: